local COURSE_ACTS = smlua_text_utils_course_acts_replace
local SECRET_STAR = smlua_text_utils_secret_star_replace
local CASTLE_SECRET_STARS = smlua_text_utils_castle_secret_stars_replace
local EXTRA_TEXT = smlua_text_utils_extra_text_replace
COURSE_ACTS(COURSE_BOB, (" 1 MUSHROOM PARK"), 	("OBSERVATORY OF THE PARK"), 	("QUICK RACE V.S. KOOPA"), 	("CLIMB THE HUGE MUSHROOM"), 	("RED SHROOMS IN THE PARK"), 	("ABOVE THE CLOUD -WC-"), 	("CRAZY BUBBAS' POND"))

COURSE_ACTS(COURSE_WF, (" 2 SHUTTERED DAYLIGHT CITY"), 	("SECRETS OF STONES"), 	("CLIMB THE WHITE TOWER"), 	("EDGE OF THE CITY"), 	("SHOOT TO THE SEA"), 	("RED COINS IN HOLLOWS"), 	("BREAK INTO THE BAMBOO YARD -VC-"))

COURSE_ACTS(COURSE_JRB, (" 3 PEACEFUL BOB-OMB FORTRESS"), 	("FIGHT OF THE WINDBLOWM WARZONE"), 	("CLEAN UP THE DRAIN DITCH"), 	("AIM AND FIRE THE ARTILLERY"), 	("RUN RUN WITH THE VANISH CAP -VC-"), 	("8 RED COINS OF THE FORTRESS"), 	("KING'S SECRET STASH"))

COURSE_ACTS(COURSE_CCM, (" 4 COOL, COOL VILLAGE"), 	("BEYOND THE EDGE OF THE HOUSE"), 	("A COLD POND WITHOUT WHOMP"), 	("CHUCKYA'S TREASURE"), 	("DARKNESS UNDER THE LIGHTHOUSE"), 	("HIDEOUT"), 	("COOL CHALLENGING LAND"))

COURSE_ACTS(COURSE_BBH, (" 5 THE FIRST INVESTIGATE"), 	("SEARCH THE DIARY"), 	("THE HAUNTED CLICHE"), 	("THE CHILDREN'S LOST"), 	("EYE MARKS WATCHING YOU"), 	("OPENED WINDOW'S SECRET"), 	("EYE TO EYE, DEADMAN'S LAIN -VC-"))

COURSE_ACTS(COURSE_HMC, (" 6 HARMONY HAMMING"), 	("WELCOME TO THE FUNNY TOWN"), 	("THREE DUMPLING BROTHERS"), 	("A STUDY OF SCARLET STRAWBERRY"), 	("TOP OF THE CHURRO -WC-"), 	("BLUE CASTELLA -WC-VC-"), 	("8 DELICIOUS CRANBERRIES -WC-"))

COURSE_ACTS(COURSE_LLL, (" 7 VOLCANIC FIELD"), 	("CLIMB THE VOLCANO"), 	("MIND THE GAP"), 	("HOP INTO THE SMALL VOLCANO"), 	("LOG, PIPE, AND LAVA"), 	("VOLCANIC RED COINS -WC-"), 	("SKYHIGH CONSTRUCTION"))

COURSE_ACTS(COURSE_SSL, (" 8 THE BEAST IN THE DESERT"), 	("SIMPLE ARCH"), 	("THE TREASURE OF PYRAMID"), 	("FAKE PARTHENON"), 	("TAKAHASHI'S AMBITION"), 	("PHARAOH?"), 	("RUINS EXPLORATION"))

COURSE_ACTS(COURSE_DDD, (" 9 UNDERSEA CAVES AND RUINS"), 	("EASY WATER MAZE"), 	("SHELL GUARD & CASTLE REDS"), 	("TOP OF THE VOLCANO -MC-"), 	("FIND THE UNDER 5 SECRETS"), 	("HOW TO FIND? IT'S EASY!"), 	("COMBINATION CAPS -VC-MC-"))

COURSE_ACTS(COURSE_SL, ("10 CHILLED ISLAND"), 	("THE CORE OF THE MOUNTAIN"), 	("TIMING FOR THE STAR -VC-"), 	("INHABITANTS OF THIS ISLAND"), 	("THE SECRET OF TREES"), 	("SHY STAR IN THE TINY ISLAND"), 	("FLOATING 8 COINS"))

COURSE_ACTS(COURSE_WDW, ("11 SPOOKY FACTORY"), 	("FACTORY MANAGER"), 	("SECRET LABORATORY"), 	("WHERE DID THIS PRODUCT COME FROM?"), 	("FACTORY LAVA"), 	("EMERGENCY EXIT"), 	("PERIODIC INSPECTION"))

COURSE_ACTS(COURSE_TTM, ("12 AFAR STAR SKIES"), 	("SCALE THE TOWER"), 	("CLOUDY RED COINS"), 	("SHOOT TO THE TOAD'S HOUSE"), 	("FIGHT ON THE GHOST SHIP"), 	("RAINBOW RAIL TIMED RACE -WC-"), 	("AT THE SKY LIMIT -WC-"))

COURSE_ACTS(COURSE_THI, ("13 WIGGLER'S FOREST FORT"), 	("KICK INTO THE WIGGLER'S HOUSE"), 	("TREE TOP FOR VINE TOUR"), 	("WALL KICKS ALWAYS WORK"), 	("UNDERGROUND CHALLENGE"), 	("RED COINS IN THE TERRITORY"), 	("HOW CAN YOU REACH THE BLOCK? -MC-"))

COURSE_ACTS(COURSE_TTC, ("14 RED HOT MOUNTAIN"), 	("TOP OF THE RAILWAY"), 	("DIVE INTO THE EDGE"), 	("DETOUR IN THE BUILDING -VC-"), 	("END OF THE NARROW PATH"), 	("FIGHT IN THE LOCKED BOX"), 	("MELTING RED COINS"))

COURSE_ACTS(COURSE_RR, ("15 REBUILDED CAKE LAND"), 	("INTO THE CAKE"), 	("SWEET PARKOUR"), 	("MILK AND OREO"), 	("JUMP INTO FARAWAY PUDDING"), 	("TOP OF THE CAKE -WC-"), 	("FLIGHT WITH 8 RED CANDIES -WC-"))

SECRET_STAR(15+1,  ("   ---"))
SECRET_STAR(16+1,  ("   ---"))
SECRET_STAR(17+1,  ("   THE LAST DIMENSION"))
SECRET_STAR(18+1,  ("   ---"))
SECRET_STAR(19+1,  ("   SNOW SECRET PLACE"))
SECRET_STAR(20+1,  ("   UNWELCOME FANATIC CITY"))
SECRET_STAR(21+1,  ("   DEEP DIVE CAVERN"))
SECRET_STAR(22+1,  ("   ---"))
SECRET_STAR(23+1,  ("   AQUATIC TEMPLE"))
SECRET_STAR(24+1,  (""))
CASTLE_SECRET_STARS(("   BONUS STARS"))
EXTRA_TEXT(0,("WOW, BONUS STAR !!"))
EXTRA_TEXT(1,(""))
EXTRA_TEXT(2,(""))
EXTRA_TEXT(3,(""))
EXTRA_TEXT(4,(""))
EXTRA_TEXT(5,(""))
EXTRA_TEXT(6,(""))
